This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 470354 - Review Request: noip - A dynamic DNS update client
Review Request: noip - A dynamic DNS update client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 15:24 EST by Susi Lehtola
Modified: 2009-03-31 16:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.1.9-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-31 16:28:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2008-11-06 15:24:42 EST
Spec URL: http://theory.physics.helsinki.fi/~jzlehtol/rpms/noip.spec
SRPM URL: http://theory.physics.helsinki.fi/~jzlehtol/rpms/noip-2.1.7-1.fc9.src.rpm

Description:
Keep your current IP address in sync with your No-IP host or domain with 
this Dynamic Update Client (DUC). The client continually checks for IP 
address changes in the background and automatically updates the DNS at 
No-IP whenever it changes.

rpmlint output:
noip.x86_64: W: non-standard-uid /var/run/noip noip
noip.x86_64: W: non-standard-gid /var/run/noip noip
noip.x86_64: E: non-standard-dir-perm /var/run/noip 0700
noip.x86_64: W: non-standard-uid /etc/no-ip2.conf noip
noip.x86_64: W: non-standard-gid /etc/no-ip2.conf noip
noip.x86_64: E: non-readable /etc/no-ip2.conf 0600
noip.x86_64: E: zero-length /etc/no-ip2.conf
noip.x86_64: W: incoherent-subsys /etc/rc.d/init.d/noip $prog
../../SPECS/noip.spec:33: W: rpm-buildroot-usage %prep sed -i 's|@OPTFLAGS@|%{optflags}|g;s|@SBINDIR@|%{buildroot}%{_sbindir}|g' Makefile
2 packages and 1 specfiles checked; 3 errors, 6 warnings.
Comment 2 Susi Lehtola 2008-11-26 19:34:43 EST
(In reply to comment #1)
> Updated to 2.1.9.

And fixed missing init file patch.
 
http://theory.physics.helsinki.fi/~jzlehtol/rpms/noip.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/noip-2.1.9-2.fc9.src.rpm
Comment 3 Jason Tibbitts 2009-03-13 18:01:30 EDT
rpmlint says:
  noip.x86_64: W: non-standard-uid /var/run/noip noip
  noip.x86_64: W: non-standard-gid /var/run/noip noip
  noip.x86_64: E: non-standard-dir-perm /var/run/noip 0700
  noip.x86_64: W: non-standard-uid /etc/no-ip2.conf noip
  noip.x86_64: W: non-standard-gid /etc/no-ip2.conf noip
  noip.x86_64: E: non-standard-dir-perm /var/run/noip 0700
  noip.x86_64: E: non-readable /etc/no-ip2.conf 0600
All of these are fine.

  noip.x86_64: E: zero-length /etc/no-ip2.conf
Can this file accept any comments?  Is there any way to put any initial content there?  It's not generally a good idea to ship empty but significant files.

  noip.x86_64: W: incoherent-subsys /etc/rc.d/init.d/noip $prog
This is bogus; rpmlint doesn't understand when you put the service name in a variable.

Unfortunately there's not much I can do besides verify that the client at least does something; I don't use no-ip.com services.

A little bit of indenting might make the %pre script clearer; it looks like the wiki sample of this got damaged somehow.

* source files match upstream.  sha256sum:
   82b9bafab96a0c53b21aaef688bf70b3572e26217b5e2072bdb09da3c4a6f593  
   noip-duc-linux.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none).
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
X rpmlint has a valid complaint.
* final provides and requires are sane:
   config(noip) = 2.1.9-2.fc11
   noip = 2.1.9-2.fc11
   noip(x86-64) = 2.1.9-2.fc11
  =
   /bin/sh
   chkconfig
   config(noip) = 2.1.9-2.fc11
   initscripts
   shadow-utils

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* Init script looks OK.
* scriptlets are OK (user creation in %pre, initscript setup in %post and 
   %preun).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 4 Susi Lehtola 2009-03-13 20:09:57 EDT
(In reply to comment #3)
>   noip.x86_64: E: zero-length /etc/no-ip2.conf
> Can this file accept any comments?  Is there any way to put any initial content
> there?  It's not generally a good idea to ship empty but significant files.

Nope, it's a binary file :)

> A little bit of indenting might make the %pre script clearer; it looks like the
> wiki sample of this got damaged somehow.

Done.

Also modfied the init file, now
 # service noip status
and
 # service noip stop
work as they should.

http://theory.physics.helsinki.fi/~jzlehtol/rpms/noip.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/noip-2.1.9-3.fc10.src.rpm
Comment 5 Jason Tibbitts 2009-03-24 17:03:32 EDT
Hmm, too bad about the binary file.  That's some significant idiocy there, but it's not your job to make that kind of change.

Anyway, given that, I'd say this package is fine.

APPROVED
Comment 6 Susi Lehtola 2009-03-24 17:20:42 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: noip
Short Description: A dynamic DNS update client
Owners: jussilehtola
Branches: F-9 F-10 EL-4 EL-5
InitialCC:
Comment 7 Kevin Fenzi 2009-03-27 16:28:55 EDT
cvs done.
Comment 8 Fedora Update System 2009-03-27 17:04:55 EDT
noip-2.1.9-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/noip-2.1.9-3.fc9
Comment 9 Fedora Update System 2009-03-27 17:06:39 EDT
noip-2.1.9-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/noip-2.1.9-3.fc10
Comment 10 Fedora Update System 2009-03-31 16:28:44 EDT
noip-2.1.9-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-03-31 16:35:20 EDT
noip-2.1.9-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.